运营管理/租户管理(Plus)/项目管理相关接口
PUTProject Operations起始版本 0.6同步需要认证
更新角色
更新角色
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
updateroleObject必填updaterole 请求体结构
nameString必填资源名称
descriptionString资源的详细描述
statementsList角色权限描述
policyUuidsList角色权限UUID
systemTagsList系统标签。
userTagsList用户标签。
响应状态
请求地址
PUT/zstack/v1/identities/roles/{uuid}
/zstack/v1/identities/roles/{uuid}
请求示例
curl -X PUT 'http://{host}/zstack/v1/identities/roles/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updaterole":{"name":"<name>","description":"<description>","statements":["<statements>"],"policyUuids":["<policyUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "14c577188a0c3ee8871e27087a287bc2", "name": "role-1", "description": "role for test", "type": "Customized", "state": "Enabled", "statements": [ "statement for test" ] } }变更历史
此 API 暂无变更历史记录。
